package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 法定代表人（负责人）枚举类
*
* @author zxfei
*/
public enum LegalPersonNameEnum {
    负责人("负责人", "负责人");
    private String value;
    private String desc;

    LegalPersonNameEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static LegalPersonNameEnum getByValue(String value) {
        for (LegalPersonNameEnum legalPersonNameEnum : LegalPersonNameEnum.values()) {
            if (legalPersonNameEnum.getValue() == value) {
                return legalPersonNameEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (LegalPersonNameEnum item : LegalPersonNameEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}