package com.mortals.xhx.common.code;

import com.mortals.framework.ap.SysConstains;
import com.mortals.framework.common.IBaseEnum;

import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;

/**
 * Created by chendilin on 2018/3/7.
 */
public enum OperTypeEnum implements IBaseEnum {

    SAVE(0,"新增", SysConstains.STYLE_DEFAULT),
    UPDATE(1,"修改", SysConstains.STYLE_DEFAULT),
    DELETE(2,"删除", SysConstains.STYLE_DEFAULT),
    OTHER(-1,"其它", SysConstains.STYLE_DEFAULT);

    private int value;
    private String desc;
    private String style;

    OperTypeEnum(int value, String desc, String style) {
        this.value = value;
        this.desc = desc;
        this.style = style;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

    public String getStyle()
    {
        return style;
    }

    public static OperTypeEnum getByValue(int value) {
        for (OperTypeEnum e : OperTypeEnum.values()) {
            if (e.getValue() == value) {
                return e;
            }
        }
        return null;
    }

    public static Map<String,String> getEnumMap(int... eItem) {
        Map<String,String> resultMap= new LinkedHashMap<String,String>();
        for (OperTypeEnum item : OperTypeEnum.values()) {
            try{
                boolean hasE = false;
                for (int e : eItem){
                    if(item.getValue()==e){
                        hasE = true;
                        break;
                    }
                }
                if(!hasE){
                    resultMap.put(item.getValue()+"", item.getDesc());
                }
            }catch(Exception ex){
            }
        }
        return resultMap;
    }
}
