package com.mortals.xhx.daemon.task;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ITask;
import com.mortals.framework.service.ITaskExcuteService;
import com.mortals.xhx.module.business.model.BusinessLicenseEntity;
import com.mortals.xhx.module.business.model.BusinessLicenseQuery;
import com.mortals.xhx.module.business.service.BusinessLicenseService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 营业执照转换
 */
@Slf4j
@Service("BusinessLicenseTask")
public class BusinessLicenseTaskImpl implements ITaskExcuteService {

    @Autowired
    private BusinessLicenseService businessLicenseService;

    @Override
    public void excuteTask(ITask task) throws AppException {

        BusinessLicenseQuery query = new BusinessLicenseQuery();
        query.setStatus(0);
        List<BusinessLicenseEntity> list = businessLicenseService.find(query);
        if(CollectionUtils.isNotEmpty(list)){
            log.info("营业执照转化任务开始.....");
            int count = 0;
            for (BusinessLicenseEntity businessLicenseEntity:list){
                try {
                    businessLicenseService.doConversion(businessLicenseEntity);
                    count++;
                }catch (Exception e){
                    log.error("营业执照转化出错",e);
                    continue;
                }
            }
            log.info("营业执照转化任务结束,共计转化"+count+"条数据.....");
        }
    }

    @Override
    public void stopTask(ITask task) throws AppException {

    }
}
